Documentation

Omni 视频生成(新版)

Last updated: Nov 4, 2026

POST
/v3/aigc/kl/omni-video/{model_name}

原厂新版接口,model_name 取值:kling-3.0-omni、kling-o1。请求体对齐原厂。

任务状态:submitted(已提交)、processing(处理中)、succeeded(成功)、failed(失败);时间为 Unix 毫秒。

使用 TE 北京地域 API Key 鉴权。模型能力、调用约定见 Kling 接口概览。

Authorization

BearerAuth
headerAuthorizationBearer <token>

TE 北京地域 API Key,填写后自动添加 Bearer 前缀。

Path Parameters

model_name*string

kling-3.0-omni、kling-o1

Request Body

application/json
  1. body
contents?array<>

输入内容 [{type, text \| url}],type 如 prompt、first_frame、image、video

prompt?string

文生视频直接传提示词

settings*

生成设置:resolution、aspect_ratio、duration、audio、multi_shot、character_orientation 等

options?

callback_url、external_task_id、watermark_info

Response Body

成功;具体状态及结果见响应字段。

application/json
  1. response
code?integer
message?string
data?
request_id?string
Example Request
curl -X POST 'https://vod.bj.baidubce.com/v3/aigc/kl/omni-video/kling-3.0-omni' \  -H 'Content-Type: application/json' \  -d '{  "contents": [    {      "type": "prompt",      "text": "Change the color of the parrot'\''s feathers to match the reference image. Keep all other elements of the video unchanged."    }  ],  "settings": {    "resolution": "1080p",    "duration": 5,    "audio": "native",    "multi_shot": false,    "aspect_ratio": "16:9"  },  "options": {    "callback_url": "https://example.com/callback",    "external_task_id": ""  }}'
Example Response200
{  "code": 0,  "message": "SUCCEED",  "data": {    "id": "tsk-xxxxxxxxxxxxxxxx",    "status": "submitted",    "create_time": 1788401717479,    "update_time": 1788401717479,    "external_id": ""  },  "request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"}